function InformativoController($scope, ScreenService) {
    let sf = this;
    
    this.init = () => {
        $scope.widget.goToDetails = this.goToDetails;
    };

    this.isValid = (infor) => {
        return (moment()._d <= moment(infor.DTEXPIRA, 'DD/MM/YYYY')._d || infor.DTEXPIRA === null) && 
                (infor.IDEXIBICAO === 'M' || infor.IDEXIBICAO === 'A');
    };
    this.limitText = (text) => {
        let retorno = text.replace(/&nbsp;/gi,'').trim();
        return retorno.length > 68 ? retorno.substr(0, 68) +'...' : retorno;
    };
    
    this.goToDetails = (servdata, widget) => {
        let widgets = widget.container.widgets;
        let acwidget = widgets.indexOf(widget);

        if (widgets[acwidget + 1]) {
            widget.isVisible = false;

            let widgetToGo = widgets[acwidget + 1];
            let newtitle = servdata[widgetToGo.label];
            widgetToGo.container.label = newtitle.length > 30 ? newtitle.substr(0, 30)+'...' : newtitle;

            let filterToInherit = widgetToGo.filterToInherit;
            widgetToGo.dataSourceFilter = [];

            widgetToGo.isVisible = true;
            widgetToGo.currentRow.servdata = servdata;
            widgetToGo.activate();
            widgetToGo.reload();
        }
    };

    /**
     * @param {dataSourceElement} informativos 
     */
    this.shouldShowInformativos = (informativos) => 
        !(informativos.filter(informativo => this.isValid(informativo)).length)
    ;
}